%define mono_dir %{_prefix}/lib/mono
%define pkgconfigdir %{_datadir}/pkgconfig
%define pkg_version	0.4.1
%define pkg_release	5%{?_dist_release}

Summary:	GLib main loop integration for ndesk-dbus
Summary(ja): 	ndesk-dbus の Glib 用ライブラリ
Name:		ndesk-dbus-glib
Version:	%{pkg_version}
Release: 	%{pkg_release}
Source0:	%{name}-%{version}.tar.gz
License:	MIT
Group:		System Environment/Libraries
URL:		http://www.ndesk.org/DBusSharp

BuildRequires:	mono-core, mono-devel, ndesk-dbus
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka

%description
This package provides GLib main loop integration for ndesk-dbus (Managed
D-Bus).

%description -l ja
このパッケージは ndesk-dbus (Managed D-Bus) を Glib メインループに統合する
ライブラリを提供します。

%prep
%setup -q


%build
%configure --libdir=%{_prefix}/lib
%{__make}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} pkgconfigdir=%{pkgconfigdir}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README examples
%{mono_dir}/gac/NDesk.DBus.GLib/*
%{mono_dir}/ndesk-dbus-glib-1.0/NDesk.DBus.GLib.dll
%{pkgconfigdir}/ndesk-dbus-glib-1.0.pc


%changelog
* Fri Jul 10 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.1-5
- rebuild with latest rpm to update mono-dependencies

* Mon Nov 03 2008 Shu KONNO <owa@bg.wakwak.com> 0.4.1-4
- added macro %%mono_dir, %%pkgconfigdir
- added --libdir=%%{_prefix}/lib at configure

* Thu Oct 09 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.1-3
- rebuild with mono-2.0
- update BuildRequires:	mono -> mono-core 
- spec in UTF-8

* Tue Jul 08 2008 Shu KONNO <owa@bg.wakwak.com> 0.4.1-2
- fixed libdir in ndesk-dbus-glib-1.0.pc.in

* Sun Apr 20 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.1-1
- initial build for Vine Linux

